Overview
Comment: | Added kitdll top-level build script |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk |
Files: | files | file ages | folders |
SHA1: |
f05f6abdf1e83cd922e7281bc39b29c9 |
User & Date: | rkeene on 2010-09-30 05:54:35 |
Other Links: | manifest | tags |
Context
2010-09-30
| ||
06:24 |
Fixed KitDLL Build script to correctly create VFS directory before calling
make
Added KitDLL cleaning to main kitcreator top-level build script Updated to allow KitDLL to ship check-in: f547179798 user: rkeene tags: trunk | |
05:54 | Added kitdll top-level build script check-in: f05f6abdf1 user: rkeene tags: trunk | |
05:43 | Added missing file from previous commit check-in: 381f0a779a user: rkeene tags: trunk | |
Changes
Added kitdll/build.sh version [a2f7dfd11c].
> > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 | #! /bin/bash if [ ! -f 'build.sh' ]; then echo 'ERROR: This script must be run from the directory it is in' >&2 exit 1 fi if [ -z "${TCLVERS}" ]; then echo 'ERROR: The TCLVERS environment variable is not set' >&2 exit 1 fi KITDLLVERS="0.0" BUILDDIR="$(pwd)/build/kitdll-${KITDLLVERS}" OUTDIR="$(pwd)/out" INSTDIR="$(pwd)/inst" OTHERPKGSDIR="$(pwd)/../" export KITDLLVERS BUILDDIR OUTDIR INSTDIR OTHERPKGSDIR rm -rf 'build' 'out' 'inst' mkdir 'out' 'inst' || exit 1 ( cp -r 'buildsrc' 'build' cd "${BUILDDIR}" || exit 1 # Determine how we invoke a Tcl interpreter for testsh in "${TCLSH_NATIVE:-false}" "${TCLKIT:-tclkit}"; do if echo 'exit 0' | "${testsh}" >/dev/null 2>/dev/null; then TCLSH_NATIVE="${testsh}" break fi done # Cleanup, just incase the incoming directory was not pre-cleaned ${MAKE:-make} distclean >/dev/null 2>/dev/null echo "Running: ./configure --with-tcl=\"${TCLCONFIGDIR}\" ${CONFIGUREEXTRA}" ./configure --with-tcl="${TCLCONFIGDIR}" ${CONFIGUREEXTRA} echo "Running: ${MAKE:-make}" ${MAKE:-make} TCLSH_NATIVE="${TCLSH_NATIVE}" || exit 1 # Strip the KitDLL of debugging symbols, if possible "${STRIP:-strip}" -g libtcl.* >/dev/null 2>/dev/null # Create VFS directory mkdir "starpack.vfs" mkdir "starpack.vfs/lib" ## Copy in required built directories cp -r "${OTHERPKGSDIR}"/tcl/out/* 'starpack.vfs/' cp -r "${OTHERPKGSDIR}"/tclvfs/out/* 'starpack.vfs/' cp -r "${OTHERPKGSDIR}"/thread/out/* 'starpack.vfs/' ## Rename the "vfs" package directory to what "boot.tcl" expects mv 'starpack.vfs/lib'/vfs* 'starpack.vfs/lib/vfs' ## Install "boot.tcl" cp 'boot.tcl' 'starpack.vfs/' exit 0 ) || exit 1 exit 0 |
Modified kitdll/buildsrc/kitdll-0.0/Makefile.in from [c77f4e17f1] to [a774052095].
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 | CC = @CC@ CFLAGS = @CFLAGS@ @SHOBJFLAGS@ -Wall CPPFLAGS = @CPPFLAGS@ @DEFS@ -DKITDLL_MAKE_LOADABLE=1 LDFLAGS = @LDFLAGS@ SHOBJLDFLAGS = @SHOBJLDFLAGS@ LIBS = @LIBS@ STATICLIBS = @TCL_LIB_SPEC@ ../../../tclvfs/inst/lib/vfs1.3/libvfs1.3.a OBJS = vfs_kitdll_data_tcl.o kitInit.o rechan.o pwb.o # Default target all: libtcl.@SHOBJEXT@ # Build targets ## VFS Build vfs_kitdll_data_tcl.o: vfs_kitdll_data_tcl.c vfs_kitdll_data_tcl.c: dir2c.tcl starpack.vfs vfs_kitdll_data.c | > | | | | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 | CC = @CC@ CFLAGS = @CFLAGS@ @SHOBJFLAGS@ -Wall CPPFLAGS = @CPPFLAGS@ @DEFS@ -DKITDLL_MAKE_LOADABLE=1 LDFLAGS = @LDFLAGS@ SHOBJLDFLAGS = @SHOBJLDFLAGS@ LIBS = @LIBS@ STATICLIBS = @TCL_LIB_SPEC@ ../../../tclvfs/inst/lib/vfs1.3/libvfs1.3.a OBJS = vfs_kitdll_data_tcl.o kitInit.o rechan.o pwb.o TCLSH_NATIVE = tclsh # Default target all: libtcl.@SHOBJEXT@ # Build targets ## VFS Build vfs_kitdll_data_tcl.o: vfs_kitdll_data_tcl.c vfs_kitdll_data_tcl.c: dir2c.tcl starpack.vfs vfs_kitdll_data.c "$(TCLSH_NATIVE)" dir2c.tcl tcl starpack.vfs > vfs_kitdll_data_tcl.c ## Tclkit Build kitInit.o: kitInit.c vfs_kitdll.tcl.h vfs_kitdll.tcl.h: vfs_kitdll.tcl "$(TCLSH_NATIVE)" ./stringify.tcl vfs_kitdll.tcl > vfs_kitdll.tcl.h ## Extensions rechan.o: rechan.c pwb.o: pwb.c ## DLL Build libtcl.@SHOBJEXT@: $(OBJS) $(CC) $(CPPFLAGS) $(CFLAGS) -o libtcl.so $(OBJS) $(LDFLAGS) $(SHOBJLDFLAGS) -Wl,--whole-archive $(STATICLIBS) -Wl,--no-whole-archive $(LIBS) # Test driver tclsh.o: tclsh.c tclsh: tclsh.o libtcl.@SHOBJEXT@ $(CC) $(CPPFLAGS) $(CFLAGS) -o tclsh tclsh.o -L. -ltcl -Wl,-R,`pwd` # Cleanup routeines clean: rm -f libtcl.so rm -f $(OBJS) rm -f vfs_kitdll_data_tcl.c |
︙ | ︙ |